#
# spec file for package python-xmlschema
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-xmlschema
Version:        1.1.1
Release:        lp152.2.3.1
Summary:        An XML Schema validator and decoder
License:        MIT
URL:            https://github.com/brunato/xmlschema
Source:         https://files.pythonhosted.org/packages/source/x/xmlschema/xmlschema-%{version}.tar.gz
BuildRequires:  %{python_module elementpath >= 1.4.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-elementpath >= 1.4.0
BuildArch:      noarch
%python_subpackages

%description
The *xmlschema* library is an implementation of `XML Schema <http://www.w3.org/2001/XMLSchema>`_
for Python.

%prep
%setup -q -n xmlschema-%{version}
# do not hardcode versions
sed -i -e 's:~=:>=:' setup.py
# do not bother with memory validation
rm tests/check_memory.py
rm tests/test_memory.py

%build
export LANG="en_US.UTF8"
%python_build

%install
export LANG="en_US.UTF8"
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test_element_tree_import_script is (easily workaroundable) https://github.com/sissaschool/xmlschema/issues/167
# tests_factory setup is broken
export LANG="en_US.UTF8"
%pytest -k "not (test_element_tree_import_script or tests_factory)" tests

%files %{python_files}
%doc CHANGELOG.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Mar 10 2020 pgajdos@suse.com
- version update to 1.1.1
  * Change of *skip* validation mode with errors filtering in decode() or encode()
  * Extension of location hints by argument to imported/included schemas
  * Fixed lazy validation with identity constraints
  * Fixed many W3C instance tests (remain ~100 over 15344 tests)
* Thu Feb  6 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 1.1.0
  * Removed Python 2 compatibility code
  * Removed tests code from binary package
  * Improved identity constraints validation
  * Added JSON lazy decoding as experimental feature
  * few bugfixes
* Thu Dec  5 2019 Andreas Hasenkopf <ahasenkopf@suse.com>
- Handle UnicodeDecodeErrors during build process
* Wed Oct 30 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.15:
  * Improved XPath 2.0 bindings
  * Added logging for schema initialization and building (handled with argument loglevel)
  * Update encoding of collapsed contents with a new model based reordering method
  * Removed XLink namespace from meta-schema (loaded from a fallback location like XHTML)
  * Fixed half of failed W3C instance tests (remain 255 over 15344 tests)
* Mon Sep  9 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by pytest 5.1.2
